package net.sf.javaprinciples.resource.test;

import java.io.File;

import org.apache.http.Header;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.FileEntity;
import org.apache.http.impl.client.DefaultHttpClient;

public class SimpleTestClient
{
    /**
     * @param args
     */
    public static void main(String[] args)
    {
        if (args == null || args.length != 2)
        {
            throw new RuntimeException("Usage: SimpleTestClient URI File");
        }
        String file = args[1];
        String uri = args[0];
        postResource(uri, file);
    }

    public static void postResource(String uri, String file)
    {
        FileEntity entity = new FileEntity(new File(file), "text/plain");
        HttpPost post = new HttpPost(uri);
        post.setEntity(entity);
        HttpClient client = new DefaultHttpClient();
        try
        {
            HttpResponse response = client.execute(post);
            for (Header header : response.getAllHeaders())
            {
                System.out.println(header.toString());
            }
            System.out.println(response.getStatusLine().toString());
        }
        catch (Exception e)
        {
            throw new RuntimeException("Unable to Post file. ", e);
        }
    }
}
